import React, { useEffect, useState } from 'react'
import InputFile from './InputFile'
import GooglePlacesAutocomplete, { geocodeByAddress, getLatLng } from 'react-google-places-autocomplete';
import i18n from '../../i18n';
import { useTranslation } from 'react-i18next';


function InputField({ from,onKeyPress, disabled = false, focusCheck = false, inputRef, required = true, type, check, name, value, parkinglotDetail, onChange, setparkinglotDetail }) {
  const [selectedValues, setSelectedValues] = useState("");
  const {t} = useTranslation()

  const latLong = async () => {
    if (name == 'location' && selectedValues.label) {
      const results = await geocodeByAddress(selectedValues?.label)
      const { lat, lng } = await getLatLng(results[0])
      // console.log(lat, lng)
      setparkinglotDetail((prev) => ({
        ...prev,
        location: {
          name: selectedValues?.label,
          latitude: lat,
          longitude: lng
        }
      }));
    }
  }

  useEffect(() => {
    latLong()
  }, [selectedValues])


  return (
    <>
      {type != 'file' && name != 'location' ? <input
        disabled={disabled}
        required={required}
        autoFocus={focusCheck}
        ref={inputRef}
        type={type}
        name={name}
        onKeyDown={onKeyPress && onKeyPress}
        value={value}
        onChange={onChange}
        placeholder={from == 'searchUser' ? t('usersearchplaceholder'):''}
        className={`w-full ${(from == 'searchUser') ? 'bg-Lightbluegray  rounded-[28px] px-8 h-[56px] text-base text-appBlack' :`bg-appOffWhite ${ disabled && "text-gray-400"}  rounded-md shadow-md mt-1`}  h-[42px] px-2 custom-input`}
      /> : name == 'location' ? <div
        className={`h-[42px] mt-2 `}
      >
        <GooglePlacesAutocomplete
          apiKey="AIzaSyDx4UBlwGFfESQ-JSsu777emcF2zbTPFLE"
          selectProps={{
            ...(value && { value: { label: value, value: value } }),
            onChange: setSelectedValues,
            styles: {
              input: (base) => ({
                ...base,
                fontFamily: i18n.language == 'he' ? 'Rubik ,sans-serif' : 'Spartan , sans-serif',
              }),
              singleValue: (base) => ({
                ...base,
                fontFamily: i18n.language == 'he' ? 'Rubik ,sans-serif' : 'Spartan , sans-serif',
              }),
            },
          }
          }
        />
      </div>
        : <div className='mt-1 max-w-[200px]  self-start h-[40px]'>
          <InputFile parkinglotDetail={parkinglotDetail} check={check} name={name} value={value} onChange={onChange} />
        </div>
      }
      {/* <style jsx>{`
        .custom-input:focus {
          border-color: #4EB9B1;
          outline: none;
          box-shadow: 0 0 0 2px rgba(78, 185, 177, 0.5);
        }
      `}</style> */}
    </>
  )
}

export default InputField