// @ts-check
import TableCell from "@mui/material/TableCell";
import { svgImages } from "@/utilities/utils";
import i18n from "../../../i18n";

import Image from "next/image";

const SortableHeader = ({
  sorting,
  setActiveSorting,
  index,
  head,
  activeSorting,
  sortType,
  classes,
}) => {
  return (
    <TableCell
      onClick={() => {
        head?.id && (sorting(head), setActiveSorting(index));
      }}
      className={`${
        i18n.language == "en"
          ? "font-spartan font-bold "
          : "font-rubik font-medium"
      } ${head.id ? "cursor-pointer" : ""} `}
      key={index}
      align="center"
    >
      <div className={`flex ${classes} gap-1`}>
        <p
          className={`${
            i18n.language === "en"
              ? "font-spartan font-bold"
              : "font-rubik font-medium"
          } text-[15px] flex items-end`}
        >
          {head?.title}
        </p>
        {head.id && activeSorting == index ? (
          <Image
            alt={sortType}
            src={
              activeSorting == index
                ? sortType == "asc"
                  ? svgImages.sort_up
                  : svgImages.sortIcon
                : ""
            }
          />
        ) : head.id ? (
          <Image alt="sort" src={svgImages.sortIcon} />
        ) : (
          <></>
        )}
      </div>
    </TableCell>
  );
};

export default SortableHeader;
