import React from 'react'
import i18n from '../../i18n'

const SuccessAlert = ({ message, showAlert = false, parkingLotsName }) => {
    return (
        <div className={`${showAlert ? 'bottom-10 opacity-100 pointer-events-auto ' : 'bottom-5 opacity-0 pointer-events-none'} absolute px-28 left-1/2 transform -translate-x-1/2 bg-appAquaLight shadow-md rounded-md transition-all duration-300`}>
            <p className={`${i18n.language == 'en' ? 'font-spartan text-sm' : 'font-rubik text-[24px]'} text-appdarkgreen font-bold text-center py-3`}>
                {message}{parkingLotsName?.map(item => item?.name).join(' , ')}
            </p>
        </div>
    )
}

export default SuccessAlert