import React from 'react'
import i18n from '../../i18n'

function Time({ hour, minute, period, handleHourChange, handleMinuteChange, togglePeriod }) {
    return (
        <div className="flex space-x-0">
            <div dir='ltr' className='flex'>

                <div className="flex items-center">
                    <select
                        id="hour"
                        onChange={handleHourChange}
                        value={hour}
                        className="appearance-none  border border-appSeaGreen rounded-md  px-[7px]"
                    >
                        {Array.from({ length: 12 }, (_, i) => i + 1).map((h) => (
                            <option key={h} value={h}>
                                {String(h).padStart(2, '0')}

                            </option>
                        ))}
                    </select>
                </div>

                <div className="flex items-center">
                    <label htmlFor="minute" className="mx-1">:</label>
                    <select
                        id="minute"
                        // disabled //disabled minuts to select always remain zero
                        onChange={handleMinuteChange}
                        value={minute}
                        className="appearance-none  border rounded-md border-appSeaGreen  px-[7px]"
                    >
                        {Array.from({ length: 60 }, (_, i) => i).map((m) => (
                            <option key={m} value={m}>
                                {String(m).padStart(2, '0')}
                            </option>
                        ))}
                    </select>
                </div>

            </div>


            <div className="flex items-center px-2">
                <button
                    className={`px-2  border ${i18n.language == 'he' ? 'rounded-r-md' : 'rounded-l-md'}  ${period === 'AM' ? 'bg-appSeaGreen text-white border-appSeaGreen' : 'bg-white'}`}
                    onClick={togglePeriod}
                >
                    AM
                </button>
                <button
                    className={`px-2  border ${i18n.language == 'he' ? 'rounded-l-md' : 'rounded-r-md'}   ${period === 'PM' ? 'bg-appSeaGreen text-white border-appSeaGreen' : 'bg-white'}`}
                    onClick={togglePeriod}
                >
                    PM
                </button>
            </div>
        </div>
    )
}

export default Time