// components/Modal.js
import React from 'react';

const Modal = ({ isOpen, onClose, children }) => {
  if (!isOpen) {
    return null;
  }

  return (
    <div className="fixed inset-0 z-20 overflow-y-auto">
      <div className="flex items-center justify-center min-h-screen">
        <div className="bg-black bg-opacity-50 absolute inset-0"></div>
        <div className="relative bg-white p-0 rounded-lg shadow-md">
          {children}
        </div>
      </div>
    </div>
  );
};

export default Modal;
